//
//  ViewController.h
//  IvrJack.RU01.Demo
//
//  Created by xminnov on 15/4/24.
//  Copyright (c) 2015年 xminnov. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "IvrJackService.h"

@interface RU01ViewController : UIViewController<IvrJackDelegate>

@property (weak, nonatomic) IBOutlet UIImageView *imagePlugout;
@property (weak, nonatomic) IBOutlet UIView *viewReader;
@property (weak, nonatomic) IBOutlet UILabel *lblStatus;
@property (weak, nonatomic) IBOutlet UILabel *lblTime;
@property (weak, nonatomic) IBOutlet UIActivityIndicatorView *idcDetecting;
@property (weak, nonatomic) IBOutlet UITableView *tableRecords;
@property (weak, nonatomic) IBOutlet UIButton *btnReadEpc;
@property (weak, nonatomic) IBOutlet UIButton *btnSetting;
@property (weak, nonatomic) IBOutlet UILabel *lblTotal;
@property (weak, nonatomic) IBOutlet UIButton *btnInventory;

- (IBAction)onBtnReadEpc:(id)sender;
- (IBAction)onBtnClear:(id)sender;
- (IBAction)onBtnInventory:(id)sender;

@property NSString *selectedEpc;

- (void)accessTagWithEpc:(NSString *)epc;

@end

